classification
Title: The Py_InitModule functions no longer exist, but remain in the docs
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: alejolp, anish.shah, berker.peksag, brett.cannon, docs@python, orsenthil, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2011-07-04 01:15 by alejolp, last changed 2015-12-27 20:25 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
remove_Py_InitModule_from_docs.patch anish.shah, 2015-12-14 19:27 review
issue12484.patch anish.shah, 2015-12-24 18:29 review
Messages (12)
msg139728 - (view) Author: Alejandro Santos (alejolp) Date: 2011-07-04 01:15
While the "Py_InitModule" does not exists on Py3k it is still mentioned on the docs:

http://docs.python.org/py3k/extending/extending.html#keyword-parameters-for-extension-functions
http://docs.python.org/py3k/extending/windows.html#a-cookbook-approach
http://docs.python.org/py3k/faq/extending.html#what-does-systemerror-pyimport-fixupextension-module-yourmodule-not-loaded-mean
msg139730 - (view) Author: Alejandro Santos (alejolp) Date: 2011-07-04 01:23
The call is also present on the older 3.1 and "dev" release of the docs:

http://docs.python.org/release/3.1.3/extending/extending.html#keyword-parameters-for-extension-functions
http://docs.python.org/release/3.1.3/extending/windows.html#a-cookbook-approach
http://docs.python.org/release/3.1.3/faq/extending.html#what-does-systemerror-pyimport-fixupextension-module-yourmodule-not-loaded-mean

http://docs.python.org/dev/extending/extending.html#keyword-parameters-for-extension-functions
http://docs.python.org/dev/extending/windows.html#a-cookbook-approach
http://docs.python.org/dev/faq/extending.html#what-does-systemerror-pyimport-fixupextension-module-yourmodule-not-loaded-mean
msg256408 - (view) Author: Anish Shah (anish.shah) * Date: 2015-12-14 18:48
will try to create a patch for this issue in a day. Thanks!
msg256410 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-12-14 19:45
3.4 is also on security fix only status.
msg256411 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-12-14 19:47
Sorry, another week for 3.4
msg256915 - (view) Author: Anish Shah (anish.shah) * Date: 2015-12-23 15:07
Can anyone review the patch?
msg256939 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-12-23 22:23
The patch looks good to me.

_PyImport_FixupExtension does not exist in Python 3, but it's still documented in Doc/c-api/import.rst. We need to remove it, too.

(Or we could document _PyImport_FixupExtensionObject since there are already documented internal functions in that file.)
msg256964 - (view) Author: Anish Shah (anish.shah) * Date: 2015-12-24 16:05
It should be done in a separate issue, right?
Or should I include it in this patch?
msg256965 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-12-24 17:33
Please do not document _PyImport_FixupExtensionObject(); documenting the internal functions was a mistake.

As for whether _PyImport_FixupExtension() should be in this issue or another one, it doesn't matter, Anish; basically whatever is easiest for you if you want to do the work.
msg256966 - (view) Author: Anish Shah (anish.shah) * Date: 2015-12-24 18:29
@brett.cannon Thanks! I have updated the patch. I removed "_PyImport_FixupExtension" from docs.
msg257095 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-27 20:24
New changeset 003f1f60a09c by Brett Cannon in branch '3.5':
Issue #12484: Remove a mention of Py_InitModule() and _PyImport_FixupExtension().
https://hg.python.org/cpython/rev/003f1f60a09c

New changeset f4aee46c79ca by Brett Cannon in branch 'default':
Merge for issue #12484
https://hg.python.org/cpython/rev/f4aee46c79ca
msg257096 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-12-27 20:25
Thanks, Alejandro, for the report and Anish for the patch (who I added to Misc/ACKS)!
History
Date User Action Args
2015-12-27 20:25:46brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg257096

stage: patch review -> resolved
2015-12-27 20:24:44python-devsetnosy: + python-dev
messages: + msg257095
2015-12-24 18:33:00brett.cannonsetassignee: docs@python -> brett.cannon
2015-12-24 18:29:02anish.shahsetfiles: + issue12484.patch

messages: + msg256966
2015-12-24 17:33:35brett.cannonsetmessages: + msg256965
2015-12-24 16:05:27anish.shahsetmessages: + msg256964
2015-12-23 22:23:44berker.peksagsetnosy: + brett.cannon, berker.peksag

messages: + msg256939
stage: needs patch -> patch review
2015-12-23 15:07:52anish.shahsetmessages: + msg256915
2015-12-14 19:47:22terry.reedysetmessages: + msg256411
versions: + Python 3.4
2015-12-14 19:45:29terry.reedysettype: behavior
stage: needs patch
2015-12-14 19:45:01terry.reedysetnosy: + terry.reedy

messages: + msg256410
versions: - Python 3.4
2015-12-14 19:41:12zach.waresetversions: + Python 3.4, Python 3.5, Python 3.6, - Python 3.1, Python 3.2, Python 3.3
2015-12-14 19:27:35anish.shahsetfiles: + remove_Py_InitModule_from_docs.patch
keywords: + patch
2015-12-14 18:48:39anish.shahsetnosy: + anish.shah
messages: + msg256408
2011-07-04 06:50:21orsenthilsetnosy: + orsenthil
2011-07-04 01:23:07alejolpsetmessages: + msg139730
versions: + Python 3.1, Python 3.3
2011-07-04 01:15:05alejolpcreate